 data:extend(
{
    {
    type = "item",
    name = "burner-component",
    icon = "__burner-lamp__/graphics/bulbon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy",
    order = "c[light]-a[burner-lamp]",
    stack_size = 50
  },
  
  {
    type = "item",
    name = "broken-burner-component",
    icon = "__burner-lamp__/graphics/bulboff.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy",
    order = "c[light]-a[burner-lamp]",
    stack_size = 50
  },
  
  {
    type = "item",
    name = "burner-lamp",
    icon = "__base__/graphics/icons/small-lamp.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy",
    order = "c[light]-a[burner-lamp]",
    place_result = "burner-lamp",
    stack_size = 50
  },
  
  {
    type = "furnace",
    name = "burner-lamp",
    icon = "__base__/graphics/icons/small-lamp.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "burner-lamp"},
    max_health = 55,
    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    working_sound =
    {
      sound = { filename = "__base__/sound/furnace.ogg", }
    },
    resistances =
    {
      {
        type = "fire",
        percent = 80
      },
      {
        type = "explosion",
        percent = 30
      }
    },
    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    crafting_categories = {"lamp-process"},
    result_inventory_size = 0,
    energy_usage = "500kW",
    crafting_speed = 0.01,
    source_inventory_size = 1,
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      emissions = 0.01,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.5,
          position = {0, 0},
          starting_vertical_speed = 0.05
        }
      }
    },
    animation =
    {
		filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
		priority = "high",
		width = 83,
		height = 75,
		shift = {0, -0.1},
		frame_count = 1,
		animation_speed = 1
    },
    working_visualisations =
    {
      {
        north_position = {0.0, 0.0},
        east_position = {0.0, 0.0},
        south_position = {0.0, 0.0},
        west_position = {0.0, 0.0},
        animation =
        {
			filename = "__base__/graphics/entity/small-lamp/small-lamp.png",
			priority = "high",
			width = 83,
			height = 75,
			x = 83,
			shift = {0, -0.1},
			frame_count = 1,
			animation_speed = 1
        },
        light = {intensity = 0.75, size = 35}
      }
    },
  },
})
