 data:extend({

 -- Lamp crafting category
 {
    type = "recipe-category",
    name = "lamp-process"
},

--Actual lamp recipe
{
	type = "recipe",
	name = "burner-lamp-recipe",
	enabled = "true",
	ingredients =
		{
			{"iron-plate", 1},
			{"iron-stick", 2},
			{"copper-cable", 2}
		},
	result = "burner-lamp"
},

--Component creation - makes new components
{
    type = "recipe",
    name = "burner-component-creation",
    category = "crafting",
    energy_required = 5,
    ingredients =
	{
		{"electronic-circuit", 1},
		{"iron-plate", 5}
	},
    result = "burner-component"
},

--Component usage - used in lamps to keep them running
{
    type = "recipe",
    name = "burner-component-consumption",
    category = "lamp-process",
    energy_required = 5,
    ingredients =
	{
		{"burner-component", 1}
	},
    result = "broken-burner-component"
},

--Component recycling - much cheaper than crafting new components, must be researched
{
    type = "recipe",
    name = "burner-component-recycling",
    category = "lamp-process",
	enabled = false,
    energy_required = 5,
    ingredients =
	{
		{"copper-cable", 1},
		{"broken-burner-component", 1}
	},
    result = "burner-component"
},
})